package com.aliyun.imp.flutter.sdk.alicloud_impinteraction_sdk.inner;

import com.aliyun.imp.flutter.sdk.alicloud_impinteraction_sdk.model.PusherOptions;
import com.aliyun.roompaas.live.exposable.AliLiveMediaStreamOptions;

/**
 * Created by KyleCe on 2022/3/31
 */
public class Converter {

    public static AliLiveMediaStreamOptions.AliLiveResolution convert(PusherOptions.Resolution resolution) {
        switch (resolution) {
            case VALUE_180P:
                return AliLiveMediaStreamOptions.AliLiveResolution.RESOLUTION_180P;
            case VALUE_240P:
                return AliLiveMediaStreamOptions.AliLiveResolution.RESOLUTION_240P;
            case VALUE_360P:
                return AliLiveMediaStreamOptions.AliLiveResolution.RESOLUTION_360P;
            case VALUE_540P:
                return AliLiveMediaStreamOptions.AliLiveResolution.RESOLUTION_540P;
            case VALUE_720P:
                return AliLiveMediaStreamOptions.AliLiveResolution.RESOLUTION_720P;
            case VALUE_1080P:
                return AliLiveMediaStreamOptions.AliLiveResolution.RESOLUTION_1080P;
            case VALUE_480P:
            default:
                return AliLiveMediaStreamOptions.AliLiveResolution.RESOLUTION_480P;
        }
    }
}
