package com.aliyun.imp.flutter.sdk.alicloud_impinteraction_sdk.model;


import com.aliyun.imp.flutter.sdk.alicloud_impinteraction_sdk.ShowModeUtil;

import java.io.Serializable;

/**
 * @author puke
 * @version 2022/3/4
 */
public class PusherOptions implements Serializable {

    /**
     * 推流码率
     */
    public int videoBitrate = 1500;

    /**
     * 分辨率
     */
    public Resolution resolution = Resolution.VALUE_480P;

    /**
     * 填充模式
     */
    public String showMode = ShowModeUtil.MODE_ASPECT_FILL;

    public enum Resolution {
        VALUE_180P,
        VALUE_240P,
        VALUE_360P,
        VALUE_480P,
        VALUE_540P,
        VALUE_720P,
        VALUE_1080P;
    }
}