#import <Flutter/Flutter.h>


@interface FLNativeView : NSObject <FlutterPlatformView>

- (instancetype)initWithFrame:(CGRect)frame
               viewIdentifier:(int64_t)viewId
                    arguments:(id _Nullable)args
              binaryMessenger:(NSObject<FlutterBinaryMessenger>*)messenger;

@end


@interface FLNativeViewFactory : NSObject <FlutterPlatformViewFactory>

@property (strong, nonatomic) FLNativeView* view;

+ (FLNativeViewFactory*) sharedInstance;
- (instancetype)initWithMessenger:(NSObject<FlutterBinaryMessenger>*)messenger;
@end
