typedef M = Map<String, dynamic>?;

class Result {
  static const keyResult = 'result';

/// form of result of api in plugin:

/// success:
/// Map<String, dynamic> result;
/// result['result'] = data; // dynamic of general result
/// result['key1'] = value1; // optional: value in dynamic of special result
/// result['key2'] = value2; // optional: value in dynamic of special result
/// result['key3'] = value3; // optional: value in dynamic of special result
/// ...

/// error:
/// https://api.flutter.dev/javadoc/io/flutter/plugin/common/MethodChannel.Result.html#error(java.lang.String,java.lang.String,java.lang.Object)
///
/// @UiThread void error(String errorCode, @Nullable String errorMessage, @Nullable Object errorDetails)
}

class LUtils {
  static M asM(dynamic any) {
    return M.from(any);
  }
}
